Subject: Re: [AAA-WG]: Error signaling ('A' msg.)

From: Pat Calhoun <[email-masked]>
Date: Fri, 1 Jun 2001 06:31:51 -0700

On Fri, Jun 01, 2001 at 01:48:14PM +0300, Taneli Haverinen wrote:
> > > Chapter 9.1. (End-To-End Error Signaling) of the base protocol does not
> > > seem to define what to do when an error occurs while processing an
> > > Answer message. Earlier the situation was handled by sending an MRI, but
> > > this command was eliminated recently. I noticed that this problem was
> > > discussed in Pat's message "A proposal for the elimination of MRI"
> > > (http://www.merit.edu/mail.archives/aaa-wg/2001-05/msg00110.html). In
> > > that message it was proposed that a STR with a Termination-Cause should
> > > be issued. I also noticed, that Issue #10 "Sessions that do not start"
> > > deals with my question, but only in the case of authorization messages.
> > > I wonder what is the procedure in a general case?
> > 
> > So do you mean what one does if an accounting answer is received,
> > with an error, or a bad STA or DWA?
> > 
> > I believe that these are the only remanining messages that aren't
> > covered by #10.
> 
> Yes, I mean the ones you mentioned above, and also any
> extension-specific or vendor-specific answer messages.
> 

So if the message in question is used to create a session, or to extend
the lifetime of a session, then #10 describes how to handle this.

I don't think that there will be any additional extension-specific, or
even vendor-specific answer messages that do not fall within this
class, do you?

As far as STA and DWA, I believe that there is nothing you can (nor should)
do for the former. For the latter, I suppose you SHOULD shutdown the connection
since if your peer cannot send a basic DW message correctly, then you've 
got bigger problems.

PatC

---

From: Taneli Haverinen <[email-masked]>
Date: Fri, 01 Jun 2001 13:48:14 +0300

BR, Taneli H.